### Method

# Foundry TemplateManager find_template

#### Declaration [src]

    DexFuture*
    foundry_template_manager_find_template (
      FoundryTemplateManager* self,
      FoundryContext* context,
      const char* template_id
    )

#### Description

No description available.

#### Parameters

`context`

  Type: `FoundryContext`

  A `FoundryContext` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`template_id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryTemplate` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.